Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class SearchBaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddDocumentsException, AddException, ListDocumentsException, ListIndexesException, RemoveDocumentsException, RemoveException, SearchException, SearchQueryException

    public class SearchBaseException

extends java.lang.RuntimeException

Thrown to indicate that a search service failure occurred.

See Also:
  Serialized Form

Constructor Summary
`SearchBaseException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service.

Method Summary
`OperationResult` | `getOperationResult()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchBaseException

    public SearchBaseException(OperationResult operationResult)

  Constructs an exception when some error occurred in the search service.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure

Method Detail

### getOperationResult

    public OperationResult getOperationResult()

  Returns:
    the error code and message detail associated with the failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD